# source https://gajim.org/downloads/0.16/gajim-0.16.6.tar.bz2

Name:		gajim
Version:	0.16.6
Release:	%mkrel 1
Summary:	Gajim is a featured and easy to use Jabber client
Summary(de):	Gajim ist ein in PyGTK geschriebener Jabber-Client

License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://gajim.org/
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gnome-python-extras
BuildRequires:	intltool
BuildRequires:	%{_lib}dbus-1-devel
BuildRequires:	%{_lib}expat1-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}gtkspell-devel
BuildRequires:	%{_lib}xscrnsaver-devel
BuildRequires:	pygtk2.0-devel
Requires:	bind-utils
Requires:	gnome-python-extras
Requires:	gnome-python-gconf
Requires:	pygtk2.0-libglade
Requires:	python >= 2.7
Requires:	python-async
Requires:	python-cryptography
Requires:	python-curl
Requires:	python-dbus
Requires:	python-nbxmpp
Requires:	python-OpenSSL
Requires:	python-ply
Requires:	python-pycparser
Requires:	python-pyasn1
Requires:       python-six
Requires:	python-sqlite2

%description
The goal of Gajim is to provide a full featured and easy to use Jabber
client written in PyGtk. Gajim works nicely with GNOME, but does not
require it to run. It is released under the GNU General Public License.

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support

%description -l de
Gajim ist ein freier Sofortnachrichten Instant Messaging(Sofortnachrichten)-Client für Jabber- bzw. XMPP-Netzwerke.
Er ist in Python geschrieben und verwendet GTK+. Gajim möchte einen leistungsstarken und einfach zu benutzenden
XMPP-Client für GTK+-Benutzer bereitstellen. Dabei benötigt es nicht zwangsläufig Gnome.
Benutzer mit gehobenen Ansprüchen finden mit der XML-Konsole ein praktisches Mittel zur Betrachtung der einzelnen XML-Pakete.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="InstantMessaging" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*

desktop-file-install \
  --set-key=NoDisplay \
  --set-value=true \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}-remote.desktop

find %{buildroot} -name '*.la' -delete
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README README.html THANKS THANKS.artists
%{_bindir}/%{name}
%{_bindir}/%{name}-history-manager
%{_bindir}/%{name}-remote
%{_desktopdir}/%{name}.desktop
%{_desktopdir}/%{name}-remote.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/gajim.png
%{_iconsdir}/hicolor/scalable/apps/gajim.svg
%{_mandir}/man1/*

%changelog
* Mon Jan 16 2017 adrianomorselli <adrianomorselli> 0.16.6-1uplos2017
- rebuild

* Wed Nov 09 2016 marcin82 <marcin82 at vp.pl> 0.16.6-1pclos2016
- update

* Wed Jan 06 2016 marcin82 <fixxer1982@gmail.com> 0.16.5-1pclos2016
- Version 0.16.5. Added runtime dependencies: python-async, python-pycurl,
  python-cryptography, python-ply, python-pycparser, python-six.
- Some changes in spec file.

* Wed Aug 05 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.3-1pclos2015
- 0.16.3

* Tue Jul 28 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.2-1pclos2015
- 0.16.2

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.1-1pclos2015
- 0.16.1
